> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Address Coin Balance History

` GET /blockscout/addresses/{address_hash}/coin-balance-history `

Get Address Coin Balance History

## Servers

- ` https://data-api.b3.fun/ ` — B3 Data API - Multi-Chain Proxy

## Parameters

### ` address_hash ` (path, required)

Address hash

- ` value `: type ` string `

  - pattern: ` "^0x([A-Fa-f0-9]{40})$" `

## Responses

### ` 200 ` — Address

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` items `, ` next_page_params `

  - ` items `: type ` array `

    - ` array item `: type ` object `

      - Required fields: ` block_number `, ` block_timestamp `, ` delta `, ` value `

      - ` transaction_hash `: type ` string `

        - example: ` "0x1f610ff9c1efad6b5a8bb6afcc0786cd7343f03f9a61e2544fcff908cedee924" `

      - ` block_number `: type ` integer `

        - example: ` 1584930 `

      - ` block_timestamp `: type ` string `

        - example: ` "2022-08-02T07:18:05.000000Z" `

      - ` delta `: type ` string `

        - example: ` "-234959404" `

      - ` value `: type ` string `

        - example: ` "100232323" `

  - ` next_page_params `: type ` object `

    - example: ` {"block_number":27736955,"items_count":50} `

### ` 400 ` — Bad Input Parameter

## Request examples

### cURL

```curl
curl -X GET 'https://data-api.b3.fun//blockscout/addresses/string/coin-balance-history'
```

### JavaScript

```javascript
const response = await fetch('https://data-api.b3.fun//blockscout/addresses/string/coin-balance-history', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('https://data-api.b3.fun//blockscout/addresses/string/coin-balance-history')
print(response.json())
```